"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lightgallery = exports.lightgalleryPlugin = void 0;
const vuepress_shared_1 = require("@mr-hope/vuepress-shared");
const utils_1 = require("@vuepress/utils");
const vuepress_plugin_sass_palette_1 = require("vuepress-plugin-sass-palette");
const lightgalleryPlugin = (options, app) => {
    const plugins = options.plugins || ["pager", "share", "zoom"];
    (0, vuepress_plugin_sass_palette_1.useSassPalettePlugin)(app, { id: "hope" });
    return {
        name: "vuepress-plugin-lightgallery",
        define: () => ({
            IMAGE_SELECTOR: options.selector || ".theme-default-content :not(a) > img",
            LIGHT_GALLERY_DELAY: options.delay || 500,
            LIGHT_GALLERY_OPTIONS: options.options || {},
            LIGHT_GALLERY_AUTOPLAY: plugins.includes("autoplay"),
            LIGHT_GALLERY_FULLSCREEN: plugins.includes("fullscreen"),
            LIGHT_GALLERY_PAGER: plugins.includes("pager"),
            LIGHT_GALLERY_THUMBNAIL: plugins.includes("thumbnail"),
            LIGHT_GALLERY_ROTATE: plugins.includes("rotate"),
            LIGHT_GALLERY_SHARE: plugins.includes("share"),
            LIGHT_GALLERY_ZOOM: plugins.includes("zoom"),
        }),
        onInitialized: (app) => {
            (0, vuepress_shared_1.addViteOptimizeDepsInclude)(app, [
                "lightgallery",
                ...plugins.map((name) => `lightgallery/plugins/${name}`),
            ]);
            (0, vuepress_shared_1.addViteSsrNoExternal)(app, "vuepress-plugin-lightgallery");
            (0, vuepress_shared_1.addViteOptimizeDepsExclude)(app, "vuepress-plugin-lightgallery");
        },
        clientAppRootComponentFiles: utils_1.path.resolve(__dirname, "../client/root-components/LightGallery.js"),
    };
};
exports.lightgalleryPlugin = lightgalleryPlugin;
const lightgallery = (options) => ["lightgallery", options];
exports.lightgallery = lightgallery;
//# sourceMappingURL=plugin.js.map